NX Open C++ Reference Guide
NXOpen::Routing::ProxyPortCollection Member List

This is the complete list of members for NXOpen::Routing::ProxyPortCollection, including all inherited members.

begin()NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, NXOpen::Point *point)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, NXOpen::Point *point)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, NXOpen::Axis *axis)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, NXOpen::Axis *derivationObject)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, bool allowMultipleConnections)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, bool allowMultipleConnections)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, NXOpen::Point *point, bool allowMultipleConnections)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, NXOpen::Point *point, bool allowMultipleConnections)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, NXOpen::Axis *axis, bool allowMultipleConnections)NXOpen::Routing::ProxyPortCollection
CreateProxyPort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, NXOpen::Axis *derivationObject, bool allowMultipleConnections)NXOpen::Routing::ProxyPortCollection
end()NXOpen::Routing::ProxyPortCollection
Tag() const NXOpen::Routing::ProxyPortCollection
~ProxyPortCollection() (defined in NXOpen::Routing::ProxyPortCollection)NXOpen::Routing::ProxyPortCollection
~TaggedObjectCollection() (defined in NXOpen::TaggedObjectCollection)NXOpen::TaggedObjectCollectionvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.